﻿using System;
using System.Collections.Generic;

namespace CustomChartSeries
{
    
    /// <summary>
    /// Represents sample data model of DataPoint objects with samples values 
    /// </summary>
    public class DataSample : DataList
    {
        public DataSample()
        {
            
            //for (var i = 0; i < 15; i++)
            //{
            //    var x = Random.Next(20, 100);
            //    var y = Random.Next(20, 130);
            //    this.Add(new DataPoint { X = x, Y = y, Value = 25 });
            //}
            //for (var i = 0; i < 10; i++)
            //{
            //    var x = Random.Next(20, 100);
            //    var y = Random.Next(20, 130);
            //    this.Add(new DataPoint { X = x, Y = y, Value = 30 });
            //}
            //for (var i = 0; i < 5; i++)
            //{
            //    var x = Random.Next(20, 100);
            //    var y = Random.Next(20, 130);
            //    this.Add(new DataPoint { X = x, Y = y, Value = 35 });
            //}


            this.Add(new DataPoint { X = 30, Y = 60, Value = 35 });
            this.Add(new DataPoint { X = 40, Y = 50, Value = 35 });
            this.Add(new DataPoint { X = 60, Y = 60, Value = 35 });
            this.Add(new DataPoint { X = 40, Y = 70, Value = 35 });
            this.Add(new DataPoint { X = 30, Y = 60, Value = 35 });

            this.Add(new DataPoint { X = 20, Y = 60, Value = 30 });
            this.Add(new DataPoint { X = 40, Y = 30, Value = 30 });
            this.Add(new DataPoint { X = 80, Y = 60, Value = 30 });
            this.Add(new DataPoint { X = 40, Y = 90, Value = 30 });
            this.Add(new DataPoint { X = 20, Y = 60, Value = 30 });

            this.Add(new DataPoint { X = 10, Y = 60, Value = 25 });
            this.Add(new DataPoint { X = 40, Y = 10, Value = 25 });
            this.Add(new DataPoint { X = 80, Y = 30, Value = 25 });
            this.Add(new DataPoint { X = 120, Y = 60, Value = 25 });
            this.Add(new DataPoint { X = 100, Y = 80, Value = 25 }); //
            this.Add(new DataPoint { X = 80, Y = 90, Value = 25 });
            this.Add(new DataPoint { X = 40, Y = 110, Value = 25 });
            this.Add(new DataPoint { X = 10, Y = 60, Value = 25 });
        }

        protected static Random Random = new Random();
      
    }

    /// <summary>
    /// Represents a list of DataPoint objects
    /// </summary>
    public class DataList : List<DataPoint>
    { }
    /// <summary>
    /// Represents a scatter data point for representing single point  
    /// </summary>
    public class DataPoint
    {
        public double X { get; set; }
        public double Y { get; set; }
        public double Value { get; set; }
    }

}