﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using Infragistics.Extension;

namespace CustomChartSeries
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
           // var customSeries = this.DataChart.Series.OfType<CustomScatterSeries>().FirstOrDefault();
 

        }

        private void DataChart_OnMouseMove(object sender, MouseEventArgs e)
        {
             
        }

        private void ToggleFeature_OnClick(object sender, RoutedEventArgs e)
        {
            var isChecked = this.ToggleHoverInterpolation.IsChecked;
            var useInterpolation = isChecked != null && isChecked.Value;
           
            isChecked = this.ToggleItemCrosshair.IsChecked;
            var useItemCrosshair = isChecked != null && isChecked.Value;

            isChecked = this.ToggleItemHighlighting.IsChecked;
            var useItemHighlighting = isChecked != null && isChecked.Value;

            isChecked = this.ToggleItemToolTip.IsChecked;
            var useItemToolTip = isChecked != null && isChecked.Value;
          
            foreach (var series in this.DataChart.Series)
            {
                if (series is CustomScatterItemHighlightLayer)
                {
                    ((CustomScatterItemHighlightLayer)series).UseInterpolation = useInterpolation;
                    series.Visibility = useItemHighlighting ? Visibility.Visible : Visibility.Collapsed;
                }

                if (series is CrosshairLayer)
                {
                    ((CrosshairLayer)series).UseInterpolation = useInterpolation;
                    series.Visibility = useItemCrosshair ? Visibility.Visible : Visibility.Collapsed;
                }

                if (series is ItemToolTipLayer)
                {
                    ((ItemToolTipLayer)series).UseInterpolation = useInterpolation;
                    series.Visibility = useItemToolTip ? Visibility.Visible : Visibility.Collapsed;
                }

            }

          

        }
    }
}
